<?php
$tdataexpenses_report = array();
$tdataexpenses_report[".searchableFields"] = array();
$tdataexpenses_report[".ShortName"] = "expenses_report";
$tdataexpenses_report[".OwnerID"] = "";
$tdataexpenses_report[".OriginalTable"] = "expenses";


$tdataexpenses_report[".pagesByType"] = my_json_decode( "{\"report\":[\"report\"],\"rprint\":[\"rprint\"],\"search\":[\"search\"]}" );
$tdataexpenses_report[".originalPagesByType"] = $tdataexpenses_report[".pagesByType"];
$tdataexpenses_report[".pages"] = types2pages( my_json_decode( "{\"report\":[\"report\"],\"rprint\":[\"rprint\"],\"search\":[\"search\"]}" ) );
$tdataexpenses_report[".originalPages"] = $tdataexpenses_report[".pages"];
$tdataexpenses_report[".defaultPages"] = my_json_decode( "{\"report\":\"report\",\"rprint\":\"rprint\",\"search\":\"search\"}" );
$tdataexpenses_report[".originalDefaultPages"] = $tdataexpenses_report[".defaultPages"];

//	field labels
$fieldLabelsexpenses_report = array();
$fieldToolTipsexpenses_report = array();
$pageTitlesexpenses_report = array();
$placeHoldersexpenses_report = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsexpenses_report["English"] = array();
	$fieldToolTipsexpenses_report["English"] = array();
	$placeHoldersexpenses_report["English"] = array();
	$pageTitlesexpenses_report["English"] = array();
	$fieldLabelsexpenses_report["English"]["expense_id"] = "Expense Id";
	$fieldToolTipsexpenses_report["English"]["expense_id"] = "";
	$placeHoldersexpenses_report["English"]["expense_id"] = "";
	$fieldLabelsexpenses_report["English"]["expense_date"] = "Expense Date";
	$fieldToolTipsexpenses_report["English"]["expense_date"] = "";
	$placeHoldersexpenses_report["English"]["expense_date"] = "";
	$fieldLabelsexpenses_report["English"]["amount"] = "Amount";
	$fieldToolTipsexpenses_report["English"]["amount"] = "";
	$placeHoldersexpenses_report["English"]["amount"] = "";
	$fieldLabelsexpenses_report["English"]["reference_no"] = "Reference No";
	$fieldToolTipsexpenses_report["English"]["reference_no"] = "";
	$placeHoldersexpenses_report["English"]["reference_no"] = "";
	$fieldLabelsexpenses_report["English"]["created_by"] = "Created By";
	$fieldToolTipsexpenses_report["English"]["created_by"] = "";
	$placeHoldersexpenses_report["English"]["created_by"] = "";
	$fieldLabelsexpenses_report["English"]["created_at"] = "Created At";
	$fieldToolTipsexpenses_report["English"]["created_at"] = "";
	$placeHoldersexpenses_report["English"]["created_at"] = "";
	$fieldLabelsexpenses_report["English"]["category"] = "Category";
	$fieldToolTipsexpenses_report["English"]["category"] = "";
	$placeHoldersexpenses_report["English"]["category"] = "";
	$fieldLabelsexpenses_report["English"]["details"] = "Details";
	$fieldToolTipsexpenses_report["English"]["details"] = "";
	$placeHoldersexpenses_report["English"]["details"] = "";
	if (count($fieldToolTipsexpenses_report["English"]))
		$tdataexpenses_report[".isUseToolTips"] = true;
}


	$tdataexpenses_report[".NCSearch"] = true;



$tdataexpenses_report[".shortTableName"] = "expenses_report";
$tdataexpenses_report[".nSecOptions"] = 0;

$tdataexpenses_report[".mainTableOwnerID"] = "";
$tdataexpenses_report[".entityType"] = 2;
$tdataexpenses_report[".connId"] = "easy_cash_at_localhost";


$tdataexpenses_report[".strOriginalTableName"] = "expenses";

	



$tdataexpenses_report[".showAddInPopup"] = false;

$tdataexpenses_report[".showEditInPopup"] = false;

$tdataexpenses_report[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataexpenses_report[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataexpenses_report[".listAjax"] = false;
//	temporary
$tdataexpenses_report[".listAjax"] = false;

	$tdataexpenses_report[".audit"] = false;

	$tdataexpenses_report[".locking"] = false;


$pages = $tdataexpenses_report[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataexpenses_report[".edit"] = true;
	$tdataexpenses_report[".afterEditAction"] = 1;
	$tdataexpenses_report[".closePopupAfterEdit"] = 1;
	$tdataexpenses_report[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataexpenses_report[".add"] = true;
$tdataexpenses_report[".afterAddAction"] = 1;
$tdataexpenses_report[".closePopupAfterAdd"] = 1;
$tdataexpenses_report[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataexpenses_report[".list"] = true;
}



$tdataexpenses_report[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataexpenses_report[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataexpenses_report[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataexpenses_report[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataexpenses_report[".printFriendly"] = true;
}



$tdataexpenses_report[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataexpenses_report[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataexpenses_report[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataexpenses_report[".isUseAjaxSuggest"] = true;




																								

$tdataexpenses_report[".ajaxCodeSnippetAdded"] = false;

$tdataexpenses_report[".buttonsAdded"] = false;

$tdataexpenses_report[".addPageEvents"] = false;

// use timepicker for search panel
$tdataexpenses_report[".isUseTimeForSearch"] = false;


$tdataexpenses_report[".badgeColor"] = "4682B4";


$tdataexpenses_report[".allSearchFields"] = array();
$tdataexpenses_report[".filterFields"] = array();
$tdataexpenses_report[".requiredSearchFields"] = array();

$tdataexpenses_report[".googleLikeFields"] = array();
$tdataexpenses_report[".googleLikeFields"][] = "expense_id";
$tdataexpenses_report[".googleLikeFields"][] = "expense_date";
$tdataexpenses_report[".googleLikeFields"][] = "amount";
$tdataexpenses_report[".googleLikeFields"][] = "reference_no";
$tdataexpenses_report[".googleLikeFields"][] = "created_by";
$tdataexpenses_report[".googleLikeFields"][] = "created_at";
$tdataexpenses_report[".googleLikeFields"][] = "category";
$tdataexpenses_report[".googleLikeFields"][] = "details";



$tdataexpenses_report[".tableType"] = "report";

$tdataexpenses_report[".printerPageOrientation"] = 0;
$tdataexpenses_report[".nPrinterPageScale"] = 100;

$tdataexpenses_report[".nPrinterSplitRecords"] = 40;

$tdataexpenses_report[".geocodingEnabled"] = false;

//report settings

$tdataexpenses_report[".reportPrintPartitionType"] = 1;
$tdataexpenses_report[".reportPrintGroupsPerPage"] = 3;
$tdataexpenses_report[".lowGroup"] = 3;



$tdataexpenses_report[".reportGroupFields"] = true;
$tdataexpenses_report[".pageSize"] = 5;
$tdataexpenses_report[".showGroupSummaryCount"] = true;
$reportGroupFieldsList = array();
$reportGroupFields = array();
	$reportGroupFieldsList []= "expense_date";

	$rgroupField = array();
	$rgroupField['strGroupField'] = "expense_date";
	$rgroupField['groupInterval'] = 3;
	$rgroupField['groupOrder'] = 1;
	$rgroupField['showGroupSummary'] = "1";
	$rgroupField['crossTabAxis'] = "0";
	$reportGroupFields[] = $rgroupField;
	$reportGroupFieldsList []= "category";

	$rgroupField = array();
	$rgroupField['strGroupField'] = "category";
	$rgroupField['groupInterval'] = 0;
	$rgroupField['groupOrder'] = 2;
	$rgroupField['showGroupSummary'] = "1";
	$rgroupField['crossTabAxis'] = "0";
	$reportGroupFields[] = $rgroupField;
	$reportGroupFieldsList []= "details";

	$rgroupField = array();
	$rgroupField['strGroupField'] = "details";
	$rgroupField['groupInterval'] = 0;
	$rgroupField['groupOrder'] = 3;
	$rgroupField['showGroupSummary'] = "1";
	$rgroupField['crossTabAxis'] = "0";
	$reportGroupFields[] = $rgroupField;
$tdataexpenses_report[".reportGroupFieldsData"] = $reportGroupFields;
$tdataexpenses_report[".reportGroupFieldsList"] = $reportGroupFieldsList;


$tdataexpenses_report[".isExistTotalFields"] = true;




$tdataexpenses_report[".repShowDet"] = true;

$tdataexpenses_report[".reportLayout"] = 0;

//end of report settings










$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataexpenses_report[".strOrderBy"] = $tstrOrderBy;

$tdataexpenses_report[".orderindexes"] = array();


$tdataexpenses_report[".sqlHead"] = "SELECT expense_id,  	expense_date,  	amount,  	reference_no,  	created_by,  	created_at,  	category,  	details";
$tdataexpenses_report[".sqlFrom"] = "FROM expenses";
$tdataexpenses_report[".sqlWhereExpr"] = "";
$tdataexpenses_report[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataexpenses_report[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataexpenses_report[".arrGroupsPerPage"] = $arrGPP;

$tdataexpenses_report[".highlightSearchResults"] = true;

$tableKeysexpenses_report = array();
$tableKeysexpenses_report[] = "expense_id";
$tdataexpenses_report[".Keys"] = $tableKeysexpenses_report;


$tdataexpenses_report[".hideMobileList"] = array();




//	expense_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "expense_id";
	$fdata["GoodName"] = "expense_id";
	$fdata["ownerTable"] = "expenses";
	$fdata["Label"] = GetFieldLabel("expenses_Report","expense_id");
	$fdata["FieldType"] = 3;

		// report field settings
					// end of report field settings

		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "expense_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "expense_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenses_report["expense_id"] = $fdata;
		$tdataexpenses_report[".searchableFields"][] = "expense_id";
//	expense_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "expense_date";
	$fdata["GoodName"] = "expense_date";
	$fdata["ownerTable"] = "expenses";
	$fdata["Label"] = GetFieldLabel("expenses_Report","expense_date");
	$fdata["FieldType"] = 7;

		// report field settings
					// end of report field settings

	
	
			

		$fdata["strField"] = "expense_date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "expense_date";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 5;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
			$fdata["filterTotalFields"] = "expense_id";
		$fdata["filterFormat"] = "Interval slider";
		$fdata["showCollapsed"] = false;

	
	
	
	

	$fdata["filterKnobsType"] = 0;
		$fdata["filterSliderStepType"] = 3;
	$fdata["filterSliderStepValue"] = 1;
//end of Filters settings


	$tdataexpenses_report["expense_date"] = $fdata;
		$tdataexpenses_report[".searchableFields"][] = "expense_date";
//	amount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "amount";
	$fdata["GoodName"] = "amount";
	$fdata["ownerTable"] = "expenses";
	$fdata["Label"] = GetFieldLabel("expenses_Report","amount");
	$fdata["FieldType"] = 14;

		// report field settings
					$fdata["isTotalSum"] = true;
	// end of report field settings

	
	
			

		$fdata["strField"] = "amount";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "amount";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenses_report["amount"] = $fdata;
		$tdataexpenses_report[".searchableFields"][] = "amount";
//	reference_no
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "reference_no";
	$fdata["GoodName"] = "reference_no";
	$fdata["ownerTable"] = "expenses";
	$fdata["Label"] = GetFieldLabel("expenses_Report","reference_no");
	$fdata["FieldType"] = 200;

		// report field settings
					// end of report field settings

	
	
			

		$fdata["strField"] = "reference_no";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "reference_no";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenses_report["reference_no"] = $fdata;
		$tdataexpenses_report[".searchableFields"][] = "reference_no";
//	created_by
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "created_by";
	$fdata["GoodName"] = "created_by";
	$fdata["ownerTable"] = "expenses";
	$fdata["Label"] = GetFieldLabel("expenses_Report","created_by");
	$fdata["FieldType"] = 200;

		// report field settings
					// end of report field settings

	
	
			

		$fdata["strField"] = "created_by";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "created_by";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenses_report["created_by"] = $fdata;
		$tdataexpenses_report[".searchableFields"][] = "created_by";
//	created_at
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "created_at";
	$fdata["GoodName"] = "created_at";
	$fdata["ownerTable"] = "expenses";
	$fdata["Label"] = GetFieldLabel("expenses_Report","created_at");
	$fdata["FieldType"] = 135;

		// report field settings
					// end of report field settings

	
	
			

		$fdata["strField"] = "created_at";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "created_at";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenses_report["created_at"] = $fdata;
		$tdataexpenses_report[".searchableFields"][] = "created_at";
//	category
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "category";
	$fdata["GoodName"] = "category";
	$fdata["ownerTable"] = "expenses";
	$fdata["Label"] = GetFieldLabel("expenses_Report","category");
	$fdata["FieldType"] = 200;

		// report field settings
					// end of report field settings

	
	
			

		$fdata["strField"] = "category";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "category";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "expense_categories";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
			$edata["LookupUnique"] = true;

	$edata["LinkField"] = "category_name";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "category_name";

	

	
	$edata["LookupOrderBy"] = "category_name";

	
	
	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "details";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenses_report["category"] = $fdata;
		$tdataexpenses_report[".searchableFields"][] = "category";
//	details
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "details";
	$fdata["GoodName"] = "details";
	$fdata["ownerTable"] = "expenses";
	$fdata["Label"] = GetFieldLabel("expenses_Report","details");
	$fdata["FieldType"] = 200;

		// report field settings
					// end of report field settings

	
	
			

		$fdata["strField"] = "details";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "details";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "expense_categories";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "description";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "description";

	

	
	$edata["LookupOrderBy"] = "description";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "category", "lookup" => "category_name" );

	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenses_report["details"] = $fdata;
		$tdataexpenses_report[".searchableFields"][] = "details";


$tables_data["expenses Report"]=&$tdataexpenses_report;
$field_labels["expenses_Report"] = &$fieldLabelsexpenses_report;
$fieldToolTips["expenses_Report"] = &$fieldToolTipsexpenses_report;
$placeHolders["expenses_Report"] = &$placeHoldersexpenses_report;
$page_titles["expenses_Report"] = &$pageTitlesexpenses_report;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["expenses Report"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["expenses Report"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_expenses_report()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "expense_id,  	expense_date,  	amount,  	reference_no,  	created_by,  	created_at,  	category,  	details";
$proto0["m_strFrom"] = "FROM expenses";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "expense_id",
	"m_strTable" => "expenses",
	"m_srcTableName" => "expenses Report"
));

$proto6["m_sql"] = "expense_id";
$proto6["m_srcTableName"] = "expenses Report";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "expense_date",
	"m_strTable" => "expenses",
	"m_srcTableName" => "expenses Report"
));

$proto8["m_sql"] = "expense_date";
$proto8["m_srcTableName"] = "expenses Report";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "amount",
	"m_strTable" => "expenses",
	"m_srcTableName" => "expenses Report"
));

$proto10["m_sql"] = "amount";
$proto10["m_srcTableName"] = "expenses Report";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "reference_no",
	"m_strTable" => "expenses",
	"m_srcTableName" => "expenses Report"
));

$proto12["m_sql"] = "reference_no";
$proto12["m_srcTableName"] = "expenses Report";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "created_by",
	"m_strTable" => "expenses",
	"m_srcTableName" => "expenses Report"
));

$proto14["m_sql"] = "created_by";
$proto14["m_srcTableName"] = "expenses Report";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "created_at",
	"m_strTable" => "expenses",
	"m_srcTableName" => "expenses Report"
));

$proto16["m_sql"] = "created_at";
$proto16["m_srcTableName"] = "expenses Report";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "category",
	"m_strTable" => "expenses",
	"m_srcTableName" => "expenses Report"
));

$proto18["m_sql"] = "category";
$proto18["m_srcTableName"] = "expenses Report";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "details",
	"m_strTable" => "expenses",
	"m_srcTableName" => "expenses Report"
));

$proto20["m_sql"] = "details";
$proto20["m_srcTableName"] = "expenses Report";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto22=array();
$proto22["m_link"] = "SQLL_MAIN";
			$proto23=array();
$proto23["m_strName"] = "expenses";
$proto23["m_srcTableName"] = "expenses Report";
$proto23["m_columns"] = array();
$proto23["m_columns"][] = "expense_id";
$proto23["m_columns"][] = "expense_date";
$proto23["m_columns"][] = "amount";
$proto23["m_columns"][] = "reference_no";
$proto23["m_columns"][] = "created_by";
$proto23["m_columns"][] = "created_at";
$proto23["m_columns"][] = "category";
$proto23["m_columns"][] = "details";
$obj = new SQLTable($proto23);

$proto22["m_table"] = $obj;
$proto22["m_sql"] = "expenses";
$proto22["m_alias"] = "";
$proto22["m_srcTableName"] = "expenses Report";
$proto24=array();
$proto24["m_sql"] = "";
$proto24["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto24["m_column"]=$obj;
$proto24["m_contained"] = array();
$proto24["m_strCase"] = "";
$proto24["m_havingmode"] = false;
$proto24["m_inBrackets"] = false;
$proto24["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto24);

$proto22["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto22);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="expenses Report";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_expenses_report = createSqlQuery_expenses_report();


	
		;

								

$tdataexpenses_report[".sqlquery"] = $queryData_expenses_report;



$tableEvents["expenses Report"] = new eventsBase;
$tdataexpenses_report[".hasEvents"] = false;

?>